# Class DbVcfSorted

java.lang.Object
org.snpsift.annotate.DbVcf
org.snpsift.annotate.DbVcfSorted

All Implemented Interfaces:
  `DbMarker<org.snpeff.interval.Variant, org.snpeff.vcf.VariantVcfEntry>`

public class DbVcfSorted extends DbVcf
Use an uncompressed sorted VCF file as a database for annotations Note: Assumes that the VCF database file is sorted and uncompressed. Each VCF entry should be sorted according to position (as the VCF norm specifies). Chromosome order does not matter (e.g. all entries for chr10 can be before entries for chr2). But entries for the same chromosome should be together. Note: Old VCF specifications did not require VCF files to be sorted.

Author:
  pcingola

## Field Summary

### Fields inherited from class DbVcf

`dbFileName, debug, vcfHeader, verbose`

## Constructor Summary

Constructors
Constructor
Description
`DbVcfSorted(String dbFileName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Close database, free resources
`void`
`open()`
Open VCF database annotation file
`List<org.snpeff.vcf.VariantVcfEntry>`
`query(org.snpeff.interval.Variant variant)`
Find matching entries in the database
`void`
`setMaxBlockSize(int maxBlockSize)`

### Methods inherited from class DbVcf

`getVcfHeader, setDebug, setVerbose`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DbVcfSorted

public DbVcfSorted(String dbFileName)

## Method Details

### close

public void close()
Description copied from interface: `DbMarker`
Close database, free resources

Specified by:
  `close` in interface `DbMarker<org.snpeff.interval.Variant, org.snpeff.vcf.VariantVcfEntry>`
Specified by:
  `close` in class `DbVcf`

### open

public void open()
Open VCF database annotation file

Specified by:
  `open` in interface `DbMarker<org.snpeff.interval.Variant, org.snpeff.vcf.VariantVcfEntry>`
Specified by:
  `open` in class `DbVcf`

### query

public List<org.snpeff.vcf.VariantVcfEntry> query(org.snpeff.interval.Variant variant)
Description copied from class: `DbVcf`
Find matching entries in the database

Specified by:
  `query` in interface `DbMarker<org.snpeff.interval.Variant, org.snpeff.vcf.VariantVcfEntry>`
Specified by:
  `query` in class `DbVcf`

### setMaxBlockSize

public void setMaxBlockSize(int maxBlockSize)